/**
 * Santiago Garcia Jimenez
 *
 *
 * Este programa es donde se realizan todas las cargas de imagenes
 * en memoria.
 */

 // Definimos los datos globales.
 global

	/// Tecla para salir en PC.
 	//SALIR=_ESC;
	/// Tecla para salir en GP2X.
	SALIR=_SPACE;

	/// Teclas de manejo de la nave.
	ARRIBA=_up;
	ABAJO=_down;
	IZQUIERDA=_left;
	DERECHA=_right;

	/// Numero total de imagenes de la nave.
	NAVEIMAGES=7;

	/// Numero de meteoritos distintos.
	METEORITOS=5;

	/// Numero de imagenes para la explosion
	EXPLOSION_IMAGENES=4;

	// Variable para imagenes de la nave.
	int nave[7];

	// Variable para imagenes de los meteoritos.
	int meteorito[5];

	// Variable para los fondos.
	int menu;
	int estrellado;

	// Variable para las letras.
	int label;

	// Variable para musica del menu
	int menumusica;

	int menumusica_wav;

	// Variable para musica de juego.
	int juegomusica;

	int juegomusica_wav;

	// Variable para las imagenes de explosiones.
	int explosiones[4];

	// Variable para el sonido de la explosion.
	int sonidoexplosion;

	// Variable para el tonel.
	int tonel;

	// Grafico del escudo.
	int escudo;

	// Musica del powerup
	int powerupsound;

process carga_imagenes()
private
	// Espera en version pc
	int espera;
 begin

	// Ponemos el modo de pantalla a 320x240 a una profundidad de color
	// de 16 bits.
	//set_mode(320,240,16,MODE_2XSCALE+MODE_FULLSCREEN);
	set_mode(320,240,16);

	put_screen(0,load_png("./images/menu_loading.png"));

	write(0,0,0,0,"CARGANDO DATOS POR FAVOR ESPERE...");
	frame;
	frame;

	espera=0;

	while(espera < 120)

		frame;

		espera=espera+1;

	end
	
	// Carga de imagenes de la nave.
	nave[0]=load_png("./images/navearr3.png");
	nave[1]=load_png("./images/navearr2.png");
	nave[2]=load_png("./images/navearr1.png");
	nave[3]=load_png("./images/navenormal.png");
	nave[4]=load_png("./images/naveabajo1.png");
	nave[5]=load_png("./images/navebajo2.png");
	nave[6]=load_png("./images/navebajo3.png");

	// Carga de imagenes de los meteoritos.
	meteorito[0]=load_png("./images/piedra1.png");
	meteorito[1]=load_png("./images/piedra2.png");
	meteorito[2]=load_png("./images/piedra3.png");
	meteorito[3]=load_png("./images/piedra4.png");
	meteorito[4]=load_png("./images/piedra5.png");

	// Carga de imagen de menu.
	menu=load_png("./images/menu_letras.png");
	
	// Carga de imagen de fondo de estrellas.
	estrellado=load_png("./images/fondo.png");
	
	// Carga del logo de pulse cualquier tecla.
	label=load_png("./images/label.png");

	// Carga de musica.
	menumusica=load_wav("./musica/musica2.wav");
	juegomusica=load_wav("./musica/musica1.wav");

	// Cargamos las imagenes de la explosion.
	explosiones[0]=load_png("./images/explosion1.png");
	explosiones[1]=load_png("./images/explosion2.png");
	explosiones[2]=load_png("./images/explosion3.png");
	explosiones[3]=load_png("./images/explosion4.png");

	// Cargamos el sonido de la explosion
	sonidoexplosion=load_wav("./musica/explo.wav");

	// Cargamos la imagen del tonel.
	tonel=load_png("./images/tonel.png");

	// Cargamos la imagen del escudo.
	escudo=load_png("./images/escudo.png");

	// Cargamos el sonido del power up
	powerupsound=load_wav("./musica/powerup.wav");

 end
